'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setData = exports.selectEntityByKeyAndId = exports.selectEntitiesByKeyAndJoin = exports.reinitializeData = exports.requestData = exports.mergeData = exports.getStateKeyFromUrl = exports.getStateKeyFromApiPath = exports.getNormalizedMergedState = exports.getNormalizedDeletedState = exports.fetchData = exports.deleteData = exports.createDataReducer = exports.assignData = exports.SET_DATA = exports.REINITIALIZE_DATA = exports.MERGE_DATA = exports.ASSIGN_DATA = undefined;

var _watchDataActions = require('./watchDataActions');

Object.keys(_watchDataActions).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _watchDataActions[key];
    }
  });
});

var _fetchNormalizeData = require('fetch-normalize-data');

exports.ASSIGN_DATA = _fetchNormalizeData.ASSIGN_DATA;
exports.MERGE_DATA = _fetchNormalizeData.MERGE_DATA;
exports.REINITIALIZE_DATA = _fetchNormalizeData.REINITIALIZE_DATA;
exports.SET_DATA = _fetchNormalizeData.SET_DATA;
exports.assignData = _fetchNormalizeData.assignData;
exports.createDataReducer = _fetchNormalizeData.createDataReducer;
exports.deleteData = _fetchNormalizeData.deleteData;
exports.fetchData = _fetchNormalizeData.fetchData;
exports.getNormalizedDeletedState = _fetchNormalizeData.getNormalizedDeletedState;
exports.getNormalizedMergedState = _fetchNormalizeData.getNormalizedMergedState;
exports.getStateKeyFromApiPath = _fetchNormalizeData.getStateKeyFromApiPath;
exports.getStateKeyFromUrl = _fetchNormalizeData.getStateKeyFromUrl;
exports.mergeData = _fetchNormalizeData.mergeData;
exports.requestData = _fetchNormalizeData.requestData;
exports.reinitializeData = _fetchNormalizeData.reinitializeData;
exports.selectEntitiesByKeyAndJoin = _fetchNormalizeData.selectEntitiesByKeyAndJoin;
exports.selectEntityByKeyAndId = _fetchNormalizeData.selectEntityByKeyAndId;
exports.setData = _fetchNormalizeData.setData;