'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.watchDataActions = watchDataActions;

var _effects = require('redux-saga/effects');

var _fromWatchRequestDataActions = require('./fromWatchRequestDataActions');

var _fromWatchRequestDataActions2 = _interopRequireDefault(_fromWatchRequestDataActions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(watchDataActions);

function watchDataActions() {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return regeneratorRuntime.wrap(function watchDataActions$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _effects.takeEvery)(function (_ref) {
            var type = _ref.type;
            return (/REQUEST_DATA_(.*)/.test(type)
            );
          }, (0, _fromWatchRequestDataActions2.default)(config));

        case 2:
        case 'end':
          return _context.stop();
      }
    }
  }, _marked, this);
}

exports.default = watchDataActions;