'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleApiSuccess = handleApiSuccess;

var _fetchNormalizeData = require('fetch-normalize-data');

var _effects = require('redux-saga/effects');

var _marked = /*#__PURE__*/regeneratorRuntime.mark(handleApiSuccess);

function handleApiSuccess(payload, config) {
  var handleSuccess, state, successAction;
  return regeneratorRuntime.wrap(function handleApiSuccess$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          handleSuccess = config.handleSuccess;
          _context.next = 3;
          return (0, _effects.put)((0, _fetchNormalizeData.successData)(payload, config));

        case 3:
          if (!handleSuccess) {
            _context.next = 10;
            break;
          }

          _context.next = 6;
          return (0, _effects.select)(function (s) {
            return s;
          });

        case 6:
          state = _context.sent;
          successAction = { config: config, payload: payload };
          _context.next = 10;
          return (0, _effects.call)(handleSuccess, state, successAction);

        case 10:
        case 'end':
          return _context.stop();
      }
    }
  }, _marked, this);
}

exports.default = handleApiSuccess;